Bug 50118 - segmentation fault when compiling PyQt-2.4
segmentation fault when compiling PyQt-2.4
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-26 18:59 EDT by robelix
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 12:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description robelix 2001-07-26 18:59:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.4.2 i586)

Description of problem:
compiling PyQt-2.4 produces segfault when processing the file
sipqtQFont.cpp



How reproducible:
Always

Steps to Reproduce:
1. tar -xzf PyQt-2.4.tar.gz
2. cd PyQt-2.4
2. ./configure
3. make

	

Actual Results:  [roland@neelix PyQt-2.4]$ make
make  all-recursive
make[1]: Wechsel in das Verzeichnis Verzeichnis
;/home/roland/src/python/PyQt-2.4+
Making all in qt
[...]
/bin/sh ../libtool --mode=compile c++ -DHAVE_CONFIG_H -I. -I. -I.. 
-I/usr/include/python1.5 -I/usr/local/include/sip
-I/usr/lib/qt-2.2.4/include  -I/usr/X11R6/include  -fno-exceptions -O2 -c
-o sipqtQFont.lo `test -f sipqtQFont.cpp || echo './'`sipqtQFont.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/python1.5
-I/usr/local/include/sip -I/usr/lib/qt-2.2.4/include -I/usr/X11R6/include
-fno-exceptions -O2 -c sipqtQFont.cpp  -fPIC -DPIC -o sipqtQFont.lo
sipqtQFont.cpp: In function `PyObject *sipDo_QFont_rawMode (PyObject *,
PyObject *)':
sipqtQFont.cpp:929: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [sipqtQFont.lo] Fehler 1
make[2]: Verlassen des Verzeichnisses Verzeichnis
;/home/roland/src/python/PyQt-2.4/qt+
make[1]: *** [all-recursive] Fehler 1
make[1]: Verlassen des Verzeichnisses Verzeichnis
;/home/roland/src/python/PyQt-2.4+
make: *** [all-redirect] Fehler 2
[roland@neelix PyQt-2.4]$

Additional info:

package versions:

gcc-2.96-85
python-1.5.2-27 
qt-2.2.4-0.70.4
Comment 1 Jakub Jelinek 2001-08-03 12:51:47 EDT
Is it always reproduceable?
If yes, please attach sipqtQFont.ii (just add -save-temps to the c++
command line and rerun it).
Comment 2 Jakub Jelinek 2001-09-06 13:33:31 EDT
Closed due to inactivity.
Note that we build PyQt 2.4 in the distro without problems.

Note You need to log in before you can comment on or make changes to this bug.